# https://taskfile.dev

version: '3'

# Variables
vars:  
  ## Commands Go ##
  GOCMD: go
  GOBUILD: "{{.GOCMD}} build -o"
  GORUN: "{{.GOCMD}} run"
  GOTEST: "{{.GOCMD}} test -v"
  GOCOVER: "{{.GOCMD}} test -v --cover"

  WINDOWS_BINARY_NAME: ./release/windows/kode-starter.exe
  LINUX_BINARY_NAME: ./release/linux/kode-starter

# env:
  GOOS: Linux  
  GOARCH: amd64

tasks:
  ###### LINUX ######
  ## Make sure you have PATH the versionManager !!!
  linux-version:
    cmds:
      - "cd ./version/ && versionManager go build"
    silent: true
  
  ## Build ##
  linux-build:
    cmds:
      - "{{.GOBUILD}} {{.LINUX_BINARY_NAME}} -v"
    # silent: true

  ## change Build version and build
  linux-vbuild:
    cmds:
      - task: linux-version
      - task: linux-build


  ###### WINDOWS ######
  ## Make sure you have PATH the versionManager.exe !!!
  windows-version:
    cmds:
      - "cd ./version/ && versionManager.exe go build"
    silent: true

  windows-build:
    cmds:
      - "{{.GOBUILD}} {{.WINDOWS_BINARY_NAME}} -v"
    silent: true

  ## change Build version and build
  windows-vbuild:
    cmds:
      - task: windows-version
      - task: windows-build



